[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TGrabStyle

Represent drawing styles available for the grab bar in TCustomCoolBar.

## Declaration

Source position: comctrls.pp line 2437

`type TGrabStyle = (`
`gsSimple,` |  | Drawn as a simple raised block.
`gsDouble,` |  | Drawn as two thin raised blocks.
`gsHorLines,` |  | Drawn as equidistant horizontal lines.
`gsVerLines,` |  | Drawn as equidistant vertical lines.
`gsGripper,` |  | Drawn as parallel rows of raised dots.
`gsButton` |  | Drawn with a push button appearance.
`);`

## Description

TGrabStyle is an enumerated type with values used to represent drawing styles used for the grab bar (or gripper) in TCustomCoolBar. TGrabStyle is the type used to implement the GrabStyle property in TCustomCoolBar.

## See also

TCustomCoolBar.GrabStyle |  | Drawing style used for a grabber or gripper displayed on the control.